Bug 18228 - Step 10 of this algorithm only considers ";" whereas Gecko/WebKit and soon Opera also accept ",".
Summary: Step 10 of this algorithm only considers ";" whereas Gecko/WebKit and soon Op...
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 17:45 UTC by contributor
Modified: 2013-02-19 11:03 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:45:32 UTC
This was was cloned from bug 17471 as part of operation convergence.
Originally filed: 2012-06-12 13:51:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-06-12 13:51:34 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/semantics.html
Multipage: http://www.whatwg.org/C#attr-meta-http-equiv-refresh
Complete: http://www.whatwg.org/c#attr-meta-http-equiv-refresh

Comment:
Step 10 of this algorithm only considers ";" whereas Gecko/WebKit and soon
Opera also accept ",".

Posted from: 91.203.97.251 by annevk@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.4; U; en) Presto/2.10.229 Version/11.64
================================================================================
 #1   Anne                                            2012-06-12 13:52:21 +0000 
--------------------------------------------------------------------------------
See also https://bugzilla.mozilla.org/show_bug.cgi?id=170021 and Opera CORE-35269.
================================================================================
Comment 1 Robin Berjon 2012-09-11 15:56:44 UTC
Actually, in IE7 using:

    <meta http-equiv='refresh' content='1,URL=ok.html'>

doesn't trigger a redirect to ok.html, but to the current page (thereby creating a reload every second). That's precisely as specified.

Are there examples of content out there in which a comma is used for redirects other than to the same page? If it's just to the same page, the comma need not be added to the syntax since the failure mode is to use the base url of the meta element.
Comment 2 Travis Leithead [MSFT] 2012-09-18 19:09:32 UTC
My testing results:

Opera 12.02 - Does not redirect on ','
IE7
IE8
IE9
IE10        - Does not redirect on ','
Firefox 15  - Redirects on ','
Chrome 21   - Redirects on ','

It sounds like Opera is planning on changing behavior given the CORE bug note below (is there a public link for this?)

I'll try some queries to see what we have in the wild that uses the ',' separator.
Comment 3 Travis Leithead [MSFT] 2012-10-11 18:15:16 UTC
Searched across our database of most popular sites (top 100K sites), and found ~10,500 uses of meta refresh. Of those results only two sites used a comma separator:

http://www.usfsa.org/
http://usfigureskating.org/

Both were using the same ad server:
http://adman.winnercomm.com/adman/GetAd.aspx?Zone=382 (Zone differs)

And in this case, the redirect URL matched the document URL exactly.

Unless anyone else has refuting data, I propose that we keep the spec as-is and do not also allow comma as a valid separator for an alternate URL redirect.
Comment 4 Silvia Pfeiffer 2013-02-16 21:17:05 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted

Change Description:
https://github.com/w3c/html/commit/387a183c8171360833e4ceee8bb2cfc044cbf885
Now allowing commas in META refresh in place of the semicolon in @content, but not (yet) parsing as valid.

Rationale: Followed WHATWG change, because Firefox & Chrome support this, Firefox is changing, and a sufficient number of sites are using it.
Comment 5 Travis Leithead [MSFT] 2013-02-18 18:43:32 UTC
> Rationale: Followed WHATWG change, because Firefox & Chrome support this,
> Firefox is changing, and a sufficient number of sites are using it.

Where's the data backing this up? And what do you mean Firefox is changing? Changing to not allow commas, or to continue to allow commas (not changing)?
Comment 6 Silvia Pfeiffer 2013-02-19 10:59:59 UTC
(In reply to comment #5)
> > Rationale: Followed WHATWG change, because Firefox & Chrome support this,
> > Firefox is changing, and a sufficient number of sites are using it.
> 
> Where's the data backing this up? And what do you mean Firefox is changing?

Sorry, I meant to write: Opera is changing (according to comment #0).


> Changing to not allow commas, or to continue to allow commas (not changing)?

All of these are allowing the comma.

Also see the discussion at https://www.w3.org/Bugs/Public/show_bug.cgi?id=17471 .